pipelines:
  branches:
    development-v2:
      - step:
          services:
            - docker
          script:
            - apt-get update --fix-missing -qy
            - apt-get install sshpass -y
            - sshpass -p $SSH_PASS_HEFFIQ ssh -o StrictHostKeyChecking=no -p $SSH_PORT $SSH_USER_HEFFIQ@nextlevelvalue.com "cd /home/nextlev9/test-heffiq.nextlevelvalue.com/cpq-heffiq-backend && git stash && git checkout development-v2 && git pull https://$GIT_USER:$GIT_PASS@bitbucket.org/nextlevelvalue/cpq-heffiq-backend.git development-v2"
    mock-v3:
      - step:
          services:
            - docker
          script:
            - apt-get update --fix-missing -qy
            - apt-get install sshpass -y
            - sshpass -p $SSH_PASS_HEFFIQ ssh -o StrictHostKeyChecking=no -p $SSH_PORT $SSH_USER_HEFFIQ@nextlevelvalue.com "cd /home/nextlev9/mock-heffiq.nextlevelvalue.com/cpq-heffiq-backend && git stash && git checkout mock-v3 && git pull https://$GIT_USER:$GIT_PASS@bitbucket.org/nextlevelvalue/cpq-heffiq-backend.git mock-v3"
